Jump to content

[NEW] Vive Wave SDK Links (Latest SDK release: August 11, 2020)


Recommended Posts

 

 The most recent Wave SDK is version 3.2

  (Released August 11, 2020)  

https://developer.vive.com/resources/vive-wave/

[Important Note]

  • This version includes Experimental Features that require the latest public ROM, version 4.14.623.1 for Focus Plus. Or 3.13.623.1 for Focus.

  Major New Features include:

  •   Unity XR Plug-in Framework Support
  •   Hand and Gesture Tracking. Please note these features are experimental and are likely to be updated in our next SDK release. 
  •   Passthrough Support via new APIs.
  •   Adaptive Quality and Foveated Rendering are now enabled by Default. This can be modified in the WaveVR settings.

 Please review the Release Notes for more information about the great new features and for Important Changes - https://hub.vive.com/storage/docs/en-us/ReleaseNote.html#release-3-2-0

 And leave any feedback or questions on the forums so that we can get back to you and the community.

 

Wave Unity and Unreal SDK Recommended Versions:

Unity 2019.4.3 or newer - see https://hub.vive.com/storage/app/doc/en-us/UnitySdk.html

Unreal 4.24 or 4.25 - see https://hub.vive.com/storage/app/doc/en-us/UnrealPlugin/UnrealPlugin.html

 

  • Like 3
Link to post
Share on other sites
  • 6 months later...
  • Replies 90
  • Created
  • Last Reply

Top Posters In This Topic

Top Posters In This Topic

Popular Posts

The most recent Wave SDK is version 3.2   (Released August 11, 2020)   https://developer.vive.com/resources/vive-wave/ [Important Note] This version includes Experimental Features

Hi @MDV Games, we are aware that UE4.24 has deprecated the MotionController Input and we are working on a different way of supporting Unreal Engine's Input. For now, you can follow the instructio

Hi @MDV Games It could be caused by SDK/Runtime mismatch. Please provide full log and we can confirm if it's the case we suspect (adb logcat 2>&1 | tee log). We are working on the new

Posted Images

  • 2 months later...

Thanks for the link, dowloaded just fine here.


I've got another question.

I cannot launch the new SDK of the plugin no matter the engine version - 4.19 or 4.20.

Unfortunatelly I can't even open the "plugin.uproject" file, it gives me the error message attached below - "The following modules are missing..."

 

Does anybody else have the same issue and/or solution fo it?

 

TIA

Link to post
Share on other sites

This Plugin only works for 4.20. If you have the WVR folder in engine / source / Thirdparty there should be no problem. In case you delete binaries, intermediaries and saved folders from your project and try again to open. If it still does not work, try downloading the SDK again and try again. One thing that I have seen in your photo and that I do not have in my sdk download is the WaveVrInput plugin. Where did you get it from?, that plugin is not in the example project for unreal. Can it be that that is what of the failure?

Link to post
Share on other sites

Please sign in to comment

You need to be a member in order to leave a comment

Sign in

Already have an account? Sign in here.

Sign In Now
×
×
  • Create New...